#pragma once
#include <windows.h>
#include <process.h>
#include <string.h>
#include <iostream>
using namespace std;

class BBBMutexMonitor
{
public:
	BBBMutexMonitor(string mutexname="", BOOL interprocess=FALSE, BOOL useCounter=TRUE);
	~BBBMutexMonitor(void);

	DWORD EnterCriticalSection(DWORD waitMilliseconds=INFINITE);
	void ExitCriticalSection();

private:
	string m_MutexName;		// bemrk Mutex er kerne objekt
							// og kan deles af processer
	static volatile long m_MutexCount;
	HANDLE m_HandleMutex;
};
