#pragma once
#include "BBBMutexMonitor.h"
#include <string.h>
using namespace std;

class PHUS_Monitor : protected BBBMutexMonitor
{
public:
	PHUS_Monitor(int antalPladser);
	~PHUS_Monitor(void);
	void BilKoererInd();
	void BilKoererUd();
	void StopMonitor();
private:
	volatile int m_AntalPladser;
	volatile int m_AntalBiler;
	volatile BOOL m_Ind_Blocked;
	volatile BOOL m_Ud_Blocked;
	volatile BOOL m_StopMonitor;
	int m_Delay;
};
