#include "PHUS_Monitor.h"
#include "IndkoerselThread.h"
#include "UdkoerselThread.h"
#include <iostream>
#include <sstream>
using namespace std;

// Hjlpemetode for at kunne "stoppe op" i programforlb
char promptChar (const char* text)
{
	//Bemrk tekst sendes som een tekst af hensyn til flere samtidige trde
	char tegn;
	ostringstream sTxt;
	sTxt << text << "\n - tast et tegn og retur\n";
	cout << (sTxt.str());
	cin >> tegn;
	cin.clear();
	return tegn;
}

void main()
{
	cout << "test" << endl;

	PHUS_Monitor *pPHus_Monitor = new PHUS_Monitor(10);
	IndkoerselThread *pIndThread1 = new IndkoerselThread(pPHus_Monitor);
	IndkoerselThread *pIndThread2 = new IndkoerselThread(pPHus_Monitor);
	UdkoerselThread *pUdThread1 = new UdkoerselThread(pPHus_Monitor);

	promptChar("Start");
	
	pUdThread1->Start();
	pIndThread1->Start();
	pIndThread2->Start();

	promptChar("Signal stop");
	pIndThread1->SetSignalStop();
	pIndThread2->SetSignalStop();
	pUdThread1->SetSignalStop();
	Sleep(1000);
	pPHus_Monitor->StopMonitor();


	cout << "Vent paa exit\n";

	pIndThread1->Join();
	pIndThread2->Join();
	pUdThread1->Join();

	delete pUdThread1;
	delete pIndThread2;
	delete pIndThread1;
	delete pPHus_Monitor;

	promptChar("Afsluttet");
}
